#1826 closed enhancement (fixed)

Add SMP Helper Methods to Classic API

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: minor Keywords:
Cc: jennifer.averett@…, gedare@… Blocked By:
Blocking:

Description

This patch adds three minor methods to assist in SMP configurations:

+ rtems_smp_get_number_of_cores - actual number of cores in system
+ rtems_configuration_get_smp_maximum_processors - configured maximum
+ rtems_smp_get_current_core - current core number

rtems_configuration_get_smp_maximum_processors() follows the naming pattern of other methods which return user configuration values.

The others allow rtems_XXX access to otherwise private information.

Attachments (1)

pr1826.diff (2.9 KB) - added by Joel Sherrill on Jun 27, 2011 at 8:19:17 PM.
First version for review

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Jun 27, 2011 at 8:18:13 PM by Joel Sherrill

Cc: Jennifer Averett added

comment:2 Changed on Jun 27, 2011 at 8:18:22 PM by Joel Sherrill

Cc: giddyup44@… added

Changed on Jun 27, 2011 at 8:19:17 PM by Joel Sherrill

Attachment: pr1826.diff added

First version for review

comment:3 Changed on Jun 28, 2011 at 7:39:49 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:4 Changed on Jun 28, 2011 at 10:19:03 PM by Gedare Bloom

Replying to comment:4:

Replying to comment:3:

I didn't see the new functions, I presume these are in a new file. I will check
the vc list.

Macros mostly. cpukit/rtems/include/rtems/rtems/smp.h

They seem reasonable. I haven't used macros exactly like this before, but I suspect it would be a good idea to put a (const) cast so the variables are "protected."

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.